## apt-file 0.2.3-4

=== Makefile ===
#
# apt-file - APT package searching utility -- command-line interface
# Makefile
#

#DESTDIR=debian/apt-file

INSTALL=install

BINDIR=$(DESTDIR)/usr/bin
ETCDIR=$(DESTDIR)/etc/apt
MANDIR=$(DESTDIR)/usr/share/man/man1

all:

install:
	$(INSTALL) -d -m 755 $(MANDIR)
	$(INSTALL) -m 644 apt-file.1 $(MANDIR)
	$(INSTALL) -d -m 755 $(BINDIR)
	$(INSTALL) -m 755 apt-file $(BINDIR)
	$(INSTALL) -d -m 755 $(ETCDIR)
	$(INSTALL) -m 644 apt-file.conf $(ETCDIR)

uninstall:
	rm -f $(BINDIR)/apt-file
	rm -f $(ETCDIR)/apt-file.conf
	rm -f $(MANDIR)/apt-file.1

clean:
	rm -f *~

=== debian/changelog ===
apt-file (0.2.3-4) unstable; urgency=low

  * Fix typo in control (Closes: #140884)

 -- Sebastien J. Gross <sjg@debian.org>  Tue,  2 Apr 2002 10:48:46 +0200

apt-file (0.2.3-3) unstable; urgency=low

  * Does not check write privilege but for update (Closes: #128466)
  * Fix typo in man page (Closes: #128551, #131366)
  * Update description (Closes: #133042)

 -- Sebastien J. Gross <sjg@debian.org>  Sat, 23 Feb 2002 17:17:03 +0100

apt-file (0.2.3-2) unstable; urgency=low

  * Fix return code
  * use http_proxy if needed

 -- Sebastien J. Gross <sjg@debian.org>  Wed,  9 Jan 2002 15:37:33 +0100

apt-file (0.2.3-1) unstable; urgency=low

  * Use ftp_proxy if needed (Closes: #128289)
  * Warns if file not found while fetching (Closes: #128290)

 -- Sebastien J. Gross <sjg@debian.org>  Tue,  8 Jan 2002 16:42:49 +0100

apt-file (0.2.2-5) unstable; urgency=low

  * Use locale architecture (closes #127025)
  * Create cache directory if unexistant (closes #128007)
  * Check write privilege on cache dir (closes #128008, #128007)

 -- Sebastien J. Gross <sjg@debian.org>  Mon,  7 Jan 2002 14:09:49 +0100

apt-file (0.2.2-4) unstable; urgency=low

  * Fix Undefined value (closes #127339)
  * Now use by default auto-apt cache dir (see Bug#126908)
  * Fix tabs breaks in sources.list (closes #127553)

 -- Sebastien J. Gross <sjg@debian.org>  Fri,  4 Jan 2002 12:08:25 +0100

apt-file (0.2.2-3) unstable; urgency=low

  * Fix package description (closes #126639)
  * Add auto-apt(1) cache support (closes #126908)

 -- Sebastien J. Gross <sjg@debian.org>  Sun, 30 Dec 2001 02:12:24 +0100

apt-file (0.2.2-2) unstable; urgency=low

  * Fix missing coma (closes #126862) 

 -- Sebastien J. Gross <sjg@debian.org>  Sat, 29 Dec 2001 14:21:02 +0100

apt-file (0.2.2-1) unstable; urgency=low

  * Fix pattern search
  * Add multiple packages files
  * Add in to the Debian Project (closes #125386)

 -- Sebastien J. Gross <sjg@debian.org>  Thu, 20 Dec 2001 17:50:15 +0100

apt-file (0.2.1-3) unstable; urgency=low

  * Add netbase and libwww-perl dependencies

 -- Sebastien J. Gross <sjg@debian.org>  Thu, 20 Dec 2001 01:11:15 +0100

apt-file (0.2.1-2) unstable; urgency=low

  * Conf file location update
  
 --  Sebastien J. Gross <seb@sjgross.org>  Tue, 13 Nov 2001 04:45:25 +0200
  

apt-file (0.2.1-1) unstable; urgency=low

  * Improved regexp search
  * Add --version option
  * Disabled --recursive option
  * Add `gzip' dependancy
  * Add conffile
  
 -- Sebastien J. Gross <seb@sjgross.org>  Mon, 12 Nov 2001 21:55:25 +0200
  

apt-file (0.2.0-2) unstable; urgency=low

  * Changed bad value for CONF_FILE

 -- Sebastien J. Gross <seb@sjgross.org>  Wed, 17 Oct 2001 11:22:00 +0200

apt-file (0.2.0-1) unstable; urgency=low

  * Initial Release.

 -- Sebastien J. Gross <seb@sjgross.org>  Sat, 13 Oct 2001 21:36:47 +0200
	
Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: apt-file
Section: base
Priority: optional
Maintainer: Sebastien J. Gross <sjg@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: apt-file
Architecture: all
Depends: ${shlibs:Depends}, libappconfig-perl (>=1.52), gzip (>= 1.2.4), libwww-perl (>= 5.53), netbase (>= 4.07)
Description: APT package searching utility -- command-line interface
 apt-file is a command line tool for searching packages for the APT
 packaging system.
 .
 Unlike apt-cache, you can search in which package a file is included
 or list the contents of a package without installing or fetching it.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/apt-file.sgml > apt-file.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/apt-file.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/apt-file


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## apt-file 2.0.3-6

=== debian/changelog ===
apt-file (2.0.3-6) unstable; urgency=low

  * Added -x option (Thanks to Olaf Klischat) 

 -- Sebastien J. Gross <sjg@debian.org>  Mon, 15 Mar 2004 00:38:23 +0100

apt-file (2.0.3-5) unstable; urgency=low

  * Fixed write in current directory when using FTP (Closes: #226969) 

 -- Sebastien J. Gross <sjg@debian.org>  Wed, 14 Jan 2004 01:56:07 +0100

apt-file (2.0.3-4) unstable; urgency=low

  * Fixed uninitialized values (Closes: #195198, #203607, #211439)
  * Fixed lines begining with spaces (Closes: #225269)
  * Fixed copy method in configuration file (Closes: #224485)

 -- Sebastien J. Gross <sjg@debian.org>  Mon, 12 Jan 2004 13:49:56 +0100

apt-file (2.0.3-3) unstable; urgency=low

  * Fixed typo in debian/changelog (Closes: #196959)
  * Fixed vendors information is included in sources.list (Closes: #206358)
  * Fixed update fails if experimental is used (Closes: #216894)
  Fixes thanks to Marc 'HE' Brockschmidt

 -- Sebastien J. Gross <sjg@debian.org>  Wed, 22 Oct 2003 22:13:28 +0200

apt-file (2.0.3-2) unstable; urgency=low

  * Remove leading slash in pattern (Closes: #190122) 

 -- Sebastien J. Gross <sjg@debian.org>  Fri, 16 May 2003 15:14:51 +0200

apt-file (2.0.3-1) unstable; urgency=low

  * Fixed some typos in manpage (Closes: #176774)
  * Regexp optimization (case insensitive support) (Closes: #193480)
  * Recommends wget (Closes: #183942)
  * Do not store empty files (Closes: #183270)
  * Quote filename passed to zcat (Closes: #185664)
  * Handles right cdrom device (Closes: #182382)

 -- Sebastien J. Gross <sjg@debian.org>  Fri, 16 May 2003 12:42:47 +0200

apt-file (2.0.2-1) unstable; urgency=low

  * Fixed inexistent content files (Closes: #172596) 

 -- Sebastien J. Gross <sjg@debian.org>  Wed, 11 Dec 2002 12:25:35 +0100

apt-file (2.0.1-2) unstable; urgency=low

  * Check pattern argument (Closes: #171573)

 -- Sebastien J. Gross <sjg@debian.org>  Tue,  3 Dec 2002 14:42:08 +0100

apt-file (2.0.1-1) unstable; urgency=low

  * Fix non-release line in sources.list causes failure (Closes: #171490)

 -- Sebastien J. Gross <sjg@debian.org>  Tue,  3 Dec 2002 12:13:15 +0100

apt-file (2.0.0) unstable; urgency=low

  * Entire program rewriting (Closes: #128553, #161393, #131146, #149188,
    #153544, #167258, #170720, #128769, #128850, #130308, #132966, #155769,
    #159569, #170672, #170674, #147442, #158038, #127338, #141039)
  
 -- Sebastien J. Gross <sjg@debian.org>  Mon,  2 Dec 2002 17:56:06 +0100

## apt-file 2.0.3-7

=== Makefile ===
--- 
+++ 
@@ -6,6 +6,7 @@
 #DESTDIR=debian/apt-file
 
 INSTALL=install
+DOCBOOK2MAN=docbook2man
 
 BINDIR=$(DESTDIR)/usr/bin
 ETCDIR=$(DESTDIR)/etc/apt
@@ -26,5 +27,8 @@
 	rm -f $(ETCDIR)/apt-file.conf
 	rm -f $(MANDIR)/apt-file.1
 
+man:
+	$(DOCBOOK2MAN) apt-file.1.sgml
+
 clean:
-	rm -f *~
+	rm -f *~ manpage.*

=== debian/changelog ===
apt-file (2.0.3-7) unstable; urgency=low

  * Add french man page (Closes: #235338)
  * As the wget backend can be changed in configuration file, apt-file
    recommends but does not depend on it (see #183942)
    (Closes: #237802, #242582)

 -- Sebastien J. Gross <sjg@debian.org>  Tue, 29 Jun 2004 10:56:58 +0200

=== debian/control ===
Source: apt-file
Section: base
Priority: optional
Maintainer: Sebastien J. Gross <sjg@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0)
Standards-Version: 3.5.8

Package: apt-file
Architecture: all
Depends: ${perl:Depends}, gzip (>= 1.2.4), libconfigfile-perl, libapt-pkg-perl
Recommends: wget
Suggests: ssh
Description: APT package searching utility -- command-line interface
 apt-file is a command line tool for searching packages for the APT
 packaging system.
 .
 Unlike apt-cache, you can search in which package a file is included
 or list the contents of a package without installing or fetching it.

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,6 @@
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
-	
-
 	touch configure-stamp
 
 build: configure-stamp build-stamp
@@ -23,7 +21,6 @@
 	# Add here commands to compile the package.
 	$(MAKE)
 	#/usr/bin/docbook-to-man debian/apt-file.sgml > apt-file.1
-
 	touch build-stamp
 
 clean:
@@ -33,7 +30,6 @@
 
 	# Add here commands to clean up after the build process.
 	-$(MAKE) clean
-
 	dh_clean
 
 install: build
@@ -41,7 +37,6 @@
 	dh_testroot
 	dh_clean -k
 	dh_installdirs
-
 	# Add here commands to install the package into debian/apt-file.
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/apt-file
 
@@ -56,16 +51,16 @@
 	dh_testroot
 #	dh_installdebconf	
 	dh_installdocs
-	dh_installexamples
-	dh_installmenu
+#	dh_installexamples
+#	dh_installmenu
 #	dh_installlogrotate
 #	dh_installemacsen
 #	dh_installpam
 #	dh_installmime
 #	dh_installinit
-	dh_installcron
+#	dh_installcron
 	dh_installman
-	dh_installinfo
+#	dh_installinfo
 #	dh_undocumented
 	dh_installchangelogs 
 	dh_link
@@ -74,8 +69,8 @@
 	dh_fixperms
 #	dh_makeshlibs
 	dh_installdeb
-#	dh_perl
-	dh_shlibdeps
+	dh_perl
+#	dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

## apt-file 2.0.7ubuntu5

=== debian/changelog ===
apt-file (2.0.7ubuntu5) breezy; urgency=low

    The "Don't read eMail after you woke up" Fix
  * Fixed a spelling typo (see Malone #2502)

 -- Stephan Hermann <sh@sourcecode.de>  Tue, 27 Sep 2005 01:25:41 +0200

apt-file (2.0.7ubuntu4) breezy; urgency=low

  * Exchanged apt-file.conf http/ftp methods for wget (Closes: Malone #2502)

 -- Stephan Hermann <sh@sourcecode.de>  Mon, 26 Sep 2005 11:23:02 +0200

apt-file (2.0.7ubuntu3) breezy; urgency=low

  * Added patches from Malone #2502 to fix this bug

 -- Stephan Hermann <sh@sourcecode.de>  Thu, 22 Sep 2005 22:06:23 +0200

apt-file (2.0.7ubuntu2) breezy; urgency=low

  * Revert Olivers fix,
    + debian/control: put curl into suggests
  * Changed the apt-file.conf to point to wget method and not curl method
    (Default install of wget on ubuntu)
  * debian/control: Adjusted Standards-Version to 3.6.2

 -- Stephan Hermann <sh@sourcecode.de>  Thu, 22 Sep 2005 10:24:17 +0200

apt-file (2.0.7ubuntu1) breezy; urgency=low

  * added dependency to curl | wget, closes #307833

 -- Oliver Grawert (ogra) <hostmaster@grawert.net>  Wed, 25 May 2005 12:05:58 +0200

apt-file (2.0.6) unstable; urgency=low

  * Now ftp method works (Closes: #307971, #307973)
  * Add wget methods to config file (in comments) (Closes: #307972)

 -- Sebastien J. Gross <sjg@debian.org>  Mon,  9 May 2005 15:04:43 +0200

apt-file (2.0.5) unstable; urgency=low

  * Remove duplicate lines (Closes: #238852)
  * Search error fix (Closes:  #276394)
  * Remove tailling slash (Closes: #280690) 
  * Add notes on both curl and wget (Closes: #307714, #229540, #226070)
  * Old bug closed (Closes: #217678)
  
 -- Sebastien J. Gross <sjg@debian.org>  Thu,  5 May 2005 18:00:15 +0200

apt-file (2.0.4) unstable; urgency=low

  * Update configuration file from wget to curl (Closes: #186846) 
  * Fixed some typos (Closes: #264967, #236719)
  * Changes license/copyright (Closes: #290057)
  * Explicitly change Contents file to 644 (Closes: #271349)
  * "show" is now an alias for "list" (Closes: #286757)
  * add bash_completion (Closes: #301997)

 -- Sebastien J. Gross <sjg@debian.org>  Wed,  4 May 2005 15:32:10 +0200

=== debian/control ===
Source: apt-file
Section: base
Priority: optional
Maintainer: Sebastien J. Gross <sjg@debian.org>
Build-Depends-Indep: debhelper (>> 3.0.0)
Standards-Version: 3.6.2

Package: apt-file
Architecture: all
Depends: ${perl:Depends}, gzip (>= 1.2.4), libconfigfile-perl, libapt-pkg-perl, wget
Suggests: ssh, curl
Description: APT package searching utility -- command-line interface
 apt-file is a command line tool for searching packages for the APT
 packaging system.
 .
 Unlike apt-cache, you can search in which package a file is included
 or list the contents of a package without installing or fetching it.
 .
 Please read README file for curl or wget instructions.

## apt-file 2.0.8ubuntu2

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,7 @@
 BINDIR=$(DESTDIR)/usr/bin
 ETCDIR=$(DESTDIR)/etc/apt
 MANDIR=$(DESTDIR)/usr/share/man/man1
+COMPDIR=$(DESTDIR)/etc/bash_completion.d
 
 all:
 
@@ -21,6 +22,8 @@
 	$(INSTALL) -m 755 apt-file $(BINDIR)
 	$(INSTALL) -d -m 755 $(ETCDIR)
 	$(INSTALL) -m 644 apt-file.conf $(ETCDIR)
+	$(INSTALL) -d -m 755 $(COMPDIR)
+	$(INSTALL) -m 644 apt-file.bash_completion $(COMPDIR)/apt-file
 
 uninstall:
 	rm -f $(BINDIR)/apt-file

=== debian/changelog ===
apt-file (2.0.8ubuntu2) edgy; urgency=low

  * Fix regexp handling (Closes Malone: #33485)
    * Thanks to Chris Moore
  * Fix man page issue (Closes Malone: #33483)
    * Thanks again to Chris Moore  

 -- Barry deFreese <bdefreese@localhost.localdomain>  Sun, 27 Aug 2006 21:40:00 -0400

apt-file (2.0.8ubuntu1) edgy; urgency=low

  * Merge from debian unstable.
  * Fixed a typo in apt-file.conf 

 -- Stephan Hermann <sh@sourcecode.de>  Mon,  3 Jul 2006 00:05:07 +0200

apt-file (2.0.8) unstable; urgency=low

  * Allow curl to redirect (Closes: #363670)
  * Download to temp file when using curl (Closes: #349585)
  * Remove cache when package purge (Closes: #362031)
  * Close old bugs (Closes: #319867) 

 -- Sebastien J. Gross <sjg@debian.org>  Thu, 20 Apr 2006 12:13:45 +0200

apt-file (2.0.7) unstable; urgency=low

  * change cache dir to /var/cache/apt-/apt-file (Closes: #341169)
  * fixed up "bad file descriptor" error when running in debug
    (Closes: #348527)
  * Changes configuration file to handle 404s and not erase
    existing Contents files (Closes: #349585)
  * changed configuration to not complain if Contents files are not
    in cache yet (Closes: #316310, #317964)
  * changed configuration to softly ignore missing Contents files
    (Closes: #316311)
  * changed configuration to permissions in cache directory
    (Closes: #319066)
  * minor fixes (Closes: #320318, #323641, #323682, #320313)
  * add find command as a search alias (Closes: #320737)

 -- Sebastien J. Gross <sjg@debian.org>  Thu,  2 Mar 2006 00:12:54 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: base
 Priority: optional
 Maintainer: Sebastien J. Gross <sjg@debian.org>
-Build-Depends-Indep: debhelper (>> 3.0.0)
+Build-Depends-Indep: debhelper (>> 4.0.0)
 Standards-Version: 3.6.2
 
 Package: apt-file

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export DH_VERBOSE=1
 
 # This is the debhelper compatability version to use.
-export DH_COMPAT=3
+export DH_COMPAT=5
 
 configure: configure-stamp
 configure-stamp:

## apt-file 2.0.8.2

=== debian/changelog ===
apt-file (2.0.8.2) unstable; urgency=low

  * Non-maintainer upload.
  * The Contents.gz files map a file to the list of packages that
    contain it. do_grep grabs all these packages, this fix
    post-processes its result so that we only print out the packages
    that do match the given pattern.  Also, take account that a file
    name may have spaces and avoid false positives by tightening the
    grep pattern.  NOTE: this is a minimal NMU patch to close
    important bug #382312 (it also closes two similar bugs). 
    There is a more complete patch available in the bts for
    #382312 that I think would make apt-file much more useful and
    closes other bugs.     (Closes: #382312, #376607, #358821)
  * Updated Version String to 2.0.8.2 (Closes: #376458)

 -- Kevin Glynn <glynn@info.ucl.ac.be>  Mon,  6 Nov 2006 15:47:57 -0600

apt-file (2.0.8.1) unstable; urgency=low

  * Non-maintainer upload by Gunnar Wolf
  * Updated dependency on libconfigfile-perl to libconfig-file-perl;
    updated the reference in code to ConfigFile to point to Config::File
    instead as well. (Closes: #387018)

 -- Gunnar Wolf <gwolf@debian.org>  Fri, 27 Oct 2006 13:38:03 -0500

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: base
 Priority: optional
 Maintainer: Sebastien J. Gross <sjg@debian.org>
-Build-Depends-Indep: debhelper (>> 4.0.0)
-Standards-Version: 3.6.2
+Build-Depends-Indep: debhelper (>> 3.0.0)
+Standards-Version: 3.6.1
 
 Package: apt-file
 Architecture: all
-Depends: ${perl:Depends}, gzip (>= 1.2.4), libconfigfile-perl, libapt-pkg-perl, wget
-Suggests: ssh, curl
+Depends: ${perl:Depends}, wget | curl,gzip (>= 1.2.4), libconfig-file-perl, libapt-pkg-perl
+Suggests: ssh, sudo
 Description: APT package searching utility -- command-line interface
  apt-file is a command line tool for searching packages for the APT
  packaging system.

## apt-file 2.0.8.2maemo1

=== debian/changelog ===
apt-file (2.0.8.2maemo1) unstable; urgency=low

   * Maemoization

 -- Jeremiah C. Foster <jeremiah@maemo.org>  Mon,  29 June 2009 15:47:57 -0200
	

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: apt-file
 Section: base
 Priority: optional
-Maintainer: Sebastien J. Gross <sjg@debian.org>
+Maintainer: Jeremiah C. Foster <jeremiah@maemo.org>
+XSBC-Original-Maintainer: Sebastien J. Gross <sjg@debian.org>
 Build-Depends-Indep: debhelper (>> 3.0.0)
 Standards-Version: 3.6.1

## apt-file 2.0.8.2maemo2

=== debian/changelog ===
apt-file (2.0.8.2maemo2) unstable; urgency=low

   * Testing build tools

 -- Jeremiah C. Foster <jeremiah@maemo.org>  Mon,  23 July 2009 15:47:57 -0200

## apt-file 2.0.8.2ubuntu1

=== debian/changelog ===
apt-file (2.0.8.2ubuntu1) feisty; urgency=low

  * Re-merge from Debian unstable.
  * Kept Ubuntu changes:
    *apt-file (2.0.8ubuntu2) edgy; urgency=low
      * Fix regexp handling (Closes Malone: #33485)
      * Thanks to Chris Moore
      * Fix man page issue (Closes Malone: #33483)
      * Thanks again to Chris Moore 
    *apt-file (2.0.8ubuntu1) edgy; urgency=low
      * Fixed a typo in apt-file.conf
      * Stephen Hermann
 
 -- Barry deFreese <bddebian@comcast.net>  Wed,  6 Dec 2006 22:08:41 -0500

## apt-file 2.0.8.2ubuntu2

=== debian/changelog ===
apt-file (2.0.8.2ubuntu2) gutsy; urgency=low

  [Matti Lindell]
  * debian/control: Change Maintainer to XSBC-Original-Maintainer
  * Remove spurious files left from merge (LP: #119887)

  [Emmet Hikory]
  * Change manpage "list" description from dpkg -S to dpkg -L (LP: #107004)
  * Add bash-completion for apt-file show (LP: #106997)
  * Add apt-file.postinst to run apt-file update on install (LP: #74097)

 -- Emmet Hikory <emmet.hikory@gmail.com>  Sun, 17 Jun 2007 08:13:23 +0900

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: apt-file
 Section: base
 Priority: optional
-Maintainer: Jeremiah C. Foster <jeremiah@maemo.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
 XSBC-Original-Maintainer: Sebastien J. Gross <sjg@debian.org>
 Build-Depends-Indep: debhelper (>> 3.0.0)
 Standards-Version: 3.6.1

## apt-file 2.1.0

=== Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 MANDIR=$(DESTDIR)/usr/share/man/man1
 COMPDIR=$(DESTDIR)/etc/bash_completion.d
 
-all:
+all: man
 
 install:
 	$(INSTALL) -d -m 755 $(MANDIR)
@@ -32,6 +32,7 @@
 
 man:
 	$(DOCBOOK2MAN) apt-file.1.sgml
+	$(DOCBOOK2MAN) apt-file.fr.1.sgml
 
 clean:
-	rm -f *~ manpage.*
+	rm -f *~ manpage.* apt-file.1 apt-file.fr.1

=== debian/changelog ===
apt-file (2.1.0) unstable; urgency=low

  [ Stefan Fritsch ]
  * Hijack package. New maintainer.
  * Add Thijs as uploader.
  * Acknowledge NMU (closes: #397381). Thanks to Gunnar Wolf and Kevin Glynn.
  * Import changes from Ubuntu. This fixes these bugs:
    - Regular expression search with -x does not really work (Closes: #259446)
    - fails to read /etc/apt/sources.list.d/ (Closes: #353275)
    - manpage says dpkg -S when it means dpkg -L (Closes: #376828)
    - please apply more complete patch to fix output (Closes: #382312)
    - silently fails when there are no file lists (Closes: #408309)
    - bash_completion: `_apt-file': not a valid identifier (Closes: #441041)
    - bash_completion does not complete filename after search command
      (Closes: #448358)
    - typo in apt-file.conf (Closes: #451840)
    Thanks to Daniel Hahler, Emmet Hikory, and Barry deFreese.
  * Fix misleading error message when cache dir does not exist
    (Closes: #456166).
  * Set umask on apt-file update to ensure cache is always world readable
    (Closes: #361878).
  * Don't show files repeatedly which are in the same package in several suites
    (Closes: #402228).
  * Allow bundling of short options (Closes: #384013).
  * Correctly extract file and directory names from apt config
    (Closes: #446621).
  * Use zfgrep to speed up non-regex searches (Closes: #470488). To be able to
    do this, we need a different way to trim the header of Contents.gz than
    used in the patch for bug #382312 (Closes: #293942).
  * Pass 'set -x' to the shell when in verbose mode.
  * Refactor apt-file.conf:
    - Move common code blocks in apt-file.conf to separate variables.
    - Use gunzip -l instead of file to check if a file is gzipped.
    - Fix misleading comments (Closes: #356790).
    - Remove chmod 644 since we now set umask correctly.
  * Correctly handle parentheses in regexp searches (Closes: #467619).
  * Correctly handle fixed string (-F) searches (Closes: #469375).
  * Remove update-notifier hook file when package is purged.
  * Remove cdbs build dependency.
  * Add vcs header to debian/control.

  [ Thijs Kinkhorst ]
  * Remove ancient versioned-depends on essential package gzip.
  * Add missing debhelper compat file.
  * Correct misspelled architecture variable name, makes architecture
    selection work again. Thanks Enno Cramer (Closes: #364411).
  * Change suggestion from ssh to openssh-client (Closes: #375578).
  * Many documentation cleanups (thanks Era Eriksson for some,
    Closes: #320322, #412133).
  * Rebuild man page from sgml during package build.
  * Change section to admin, following override.
  * Drop -N parameter from wget command since it's not allowed in
    combination with -O according to the manual (Closes: #380736).

 -- Thijs Kinkhorst <thijs@debian.org>  Mon, 24 Mar 2008 10:47:28 +0100

apt-file (2.0.8.2ubuntu4) hardy; urgency=low

  * apt-file.bash_completion: use _apt_file instead of _apt-file for
    completion function (LP: #173057, Closes: #441041)

 -- Daniel Hahler <ubuntu@thequod.de>  Sun, 09 Mar 2008 17:42:01 +0100

apt-file (2.0.8.2ubuntu3) hardy; urgency=low

  * Improved "need to run apt-file update" experience (LP: #154180)
    - debian/apt-file.postinst:
      - Do not call apt-file update anymore directly
      - install update-notifier hook
    - debian/control: Depend on "menu" for su-to-root
    - apt-file: test if the cache directory is empty for actions
      search/find and show/list.
  * apt-file: reverted removal of leading slash in pattern and implement
    logic to match both without slash at the beginning and with slash
    inside (LP: #181600). Apply the same logic to regexp patterns (-x).
  * debian/rules:
    - moved DH_COMPAT=3 to debian/compat (increased to 5)
    - Fixed debian-rules-ignores-make-clean-error
    - Dropped binary-arch target
  * Fix typos/wording in README
  * apt-file.conf: Add integrity check for fetched files (LP: #176753)
  * apt-file: find_command: remove leading spaces and open parentheses
    before looking for the command, so that the new defaults in
    apt-file.conf work
  * apt-file: print output from command after executing it, so that
    errors and notes from there get to the user
  * debian/apt-file.postrm: added DEBHELPER marker
  * debian/control:
    - Dropped Build-Depends-Indep: debhelper (>> 3.0.0)
    - Build-Depends: debhelper (>= 5), cdbs
    - Standards-Version: 3.7.3
    - Recommend "file", which gets used optionally for the integrity check
  * apt-file.bash_completion: filename/directory completion for "search",
    patch taken from Debian bug #448358
  * apt-file/do_grep: only search in all cache files once (LP: #174134)
  * apt-file: fix display of warning in purge_cache, if the file cannot be
    deleted
  * Applied patches from Kevin Glynn in a lot of places, see Debian bug
    #382312). Thanks!
  * Support files in /etc/apt/sources.list.d/ (LP: #190602) (Closes: #353275)
    Patches from Amos Shapira and Andrew Schulman.

 -- Daniel Hahler <ubuntu@thequod.de>  Fri, 15 Feb 2008 00:18:52 +0100

=== debian/control ===
Source: apt-file
Section: admin
Priority: optional
Maintainer: Stefan Fritsch <sf@debian.org>
Uploaders: Thijs Kinkhorst <thijs@debian.org>
Build-Depends: debhelper (>= 5), docbook-utils
Standards-Version: 3.7.3
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/apt-file/trunk/
Vcs-svn: svn://svn.debian.org/collab-maint/deb-maint/apt-file/trunk/

Package: apt-file
Architecture: all
Depends: ${perl:Depends}, wget | curl, libconfig-file-perl, libapt-pkg-perl, liblist-moreutils-perl, menu
Suggests: openssh-client, sudo
Description: APT package searching utility -- command-line interface
 apt-file is a command line tool for searching packages for the APT
 packaging system.
 .
 Unlike apt-cache, you can search in which package a file is included
 or list the contents of a package without installing or fetching it.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/apt-file.sgml > apt-file.1
	touch build-stamp

clean::
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	# Add here commands to install the package into debian/apt-file.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/apt-file
	install -m 644 debian/apt-file.update-notifier    debian/apt-file/usr/share/apt-file/apt-file-update.update-notifier
	install -m 755 debian/apt-file.do-apt-file-update debian/apt-file/usr/share/apt-file/do-apt-file-update
	install -m 755 debian/apt-file.is-cache-empty     debian/apt-file/usr/share/apt-file/is-cache-empty


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
#	dh_installcron
	dh_installman
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep
.PHONY: build clean binary-indep binary-arch binary install configure

## apt-file 2.1.4

=== debian/changelog ===
apt-file (2.1.4) unstable; urgency=low

  [ Stefan Fritsch ]
  * Fix perl warning during apt-file update (closes: #484292).
  * Fix perl warning in some regexp searches (closes: #487856).

  [ Thijs Kinkhorst ]
  * Make instruction about apt-file update in postinst more
    generic (Closes: #489821).

 -- Stefan Fritsch <sf@debian.org>  Wed, 09 Jul 2008 00:02:03 +0200

apt-file (2.1.3) unstable; urgency=low

  [ Thijs Kinkhorst ]
  * Recommend menu rather than depend on it since it's not strictly
    necessary (Closes: #483406).

  [ Stefan Fritsch ]
  * Fix substring search when absolute path is given (Closes: #483624).

 -- Stefan Fritsch <sf@debian.org>  Sat, 31 May 2008 16:14:21 +0200

apt-file (2.1.2) unstable; urgency=low

  * Add new option --non-interactive/-N to skip schemes that may require user
    interaction during 'apt-file update'. This is useful for cron jobs.
  * Change BEGIN block to make 'perl -c' work.
  * Accept 'false' as an alias for 'DIRECT' in apt's proxy configuration
    (closes: #476961) and ignore case. Also print the selected proxy
    in verbose mode.
  * Run perltidy on the source code.

 -- Stefan Fritsch <sf@debian.org>  Sun, 18 May 2008 19:15:26 +0200

apt-file (2.1.1) unstable; urgency=low

  [ Thijs Kinkhorst ]
  * Fix dashism (!) in is-cache-empty (Closes: #472592).
  * Ship cache dir in package to prevent warnings while apt-file
    has not yet been run (closes: #474545).
  * Add docbook build-depends for manpages.

  [ Stefan Fritsch ]
  * With curl, use -f to abort on any error and not just on 404s.
  * Allow absolute paths for commands in apt-file.conf.
  * Do not reorder commands' STDOUT and STDERR.
  * Make is-cache-empty ignore *tmp (closes: #474227).
  * Extract proxy information from apt config and set environment variables
    accordingly (closes: #350716).
  * Slightly increase speed of regexp searches.
  * Use package version in 'apt-file --version' output.
  * Clarify pattern syntax in man page (closes: #474334).
  * Clarify use of --architecture option in man page (closes: #472807).
  * Handle debtorrent: urls in sources.list (thanks to Jö Fahlke,
    closes: #461315).

 -- Stefan Fritsch <sf@debian.org>  Sun, 06 Apr 2008 18:09:53 +0200

=== debian/control ===
Source: apt-file
Section: admin
Priority: optional
Maintainer: Stefan Fritsch <sf@debian.org>
Uploaders: Thijs Kinkhorst <thijs@debian.org>
Build-Depends: debhelper (>= 5), docbook, docbook-utils
Standards-Version: 3.7.3
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/apt-file/trunk/
Vcs-svn: svn://svn.debian.org/collab-maint/deb-maint/apt-file/trunk/

Package: apt-file
Architecture: all
Depends: ${perl:Depends}, wget | curl, libconfig-file-perl, libapt-pkg-perl, liblist-moreutils-perl
Recommends: menu
Suggests: openssh-client, sudo
Description: APT package searching utility -- command-line interface
 apt-file is a command line tool for searching packages for the APT
 packaging system.
 .
 Unlike apt-cache, you can search in which package a file is included
 or list the contents of a package without installing or fetching it.

## apt-file 2.1.5

=== Makefile ===
--- 
+++ 
@@ -34,5 +34,8 @@
 	$(DOCBOOK2MAN) apt-file.1.sgml
 	$(DOCBOOK2MAN) apt-file.fr.1.sgml
 
+test:
+	cd tests; ./runtests
+
 clean:
 	rm -f *~ manpage.* apt-file.1 apt-file.fr.1

=== debian/changelog ===
apt-file (2.1.5) unstable; urgency=low

  * Fix wrong permissions for cache directory created by old versions
    (closes: #495519).
  * Fix leading slashes being ignored when searching, a regression introduced
    by the fix for #483624 (closes: #496127).
  * Give meaningful error message if cache dir cannot be read.
  * Bump standards version (no changes).

 -- Stefan Fritsch <sf@debian.org>  Sat, 23 Aug 2008 18:56:17 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Stefan Fritsch <sf@debian.org>
 Uploaders: Thijs Kinkhorst <thijs@debian.org>
 Build-Depends: debhelper (>= 5), docbook, docbook-utils
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
 Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/apt-file/trunk/
 Vcs-svn: svn://svn.debian.org/collab-maint/deb-maint/apt-file/trunk/

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+VERSION=$(shell dpkg-parsechangelog |egrep ^Version: | cut -d ' ' -f 2)
 
 configure: configure-stamp
 configure-stamp:
@@ -17,6 +19,7 @@
 
 	# Add here commands to compile the package.
 	$(MAKE)
+#	$(MAKE) test
 	#/usr/bin/docbook-to-man debian/apt-file.sgml > apt-file.1
 	touch build-stamp
 
@@ -36,6 +39,7 @@
 	dh_installdirs
 	# Add here commands to install the package into debian/apt-file.
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/apt-file
+	perl -p -i -e 's/^use constant VERSION.*/use constant VERSION => "$(VERSION)";/' debian/apt-file/usr/bin/apt-file
 	install -m 644 debian/apt-file.update-notifier    debian/apt-file/usr/share/apt-file/apt-file-update.update-notifier
 	install -m 755 debian/apt-file.do-apt-file-update debian/apt-file/usr/share/apt-file/do-apt-file-update
 	install -m 755 debian/apt-file.is-cache-empty     debian/apt-file/usr/share/apt-file/is-cache-empty

## apt-file 2.2.0

=== debian/changelog ===
apt-file (2.2.0) unstable; urgency=low

  * Ship 'diffindex-download' and 'diffindex-rred' for downloading patches
    instead of the full Contents files. Use this for http and ftp in default
    config file (closes: #373589).
  * diffindex-download uses curl with progress meter enabled by default
    (can be changed in apt-file.conf). Closes: #381613
    Therefore always depend on curl and remove dependency on wget.
  * diffindex-download prints some error messages if no connection is possible
    (closes: #357031).
  * Make 'apt-file purge' remove old content files even if the sources.list
    line has been removed in the meantime (closes: #507092).
  * Make tests not require wget or curl during build-time. Thanks James Westby
    (closes: #506554).

 -- Stefan Fritsch <sf@debian.org>  Tue, 06 Jan 2009 16:59:04 +0100

apt-file (2.1.6) unstable; urgency=low

  * Use ~/.cache/apt-file as cache directory if called as non-root user,
    but fall back to the old /var/cache/apt/apt-file. This allows to use
    'apt-file update' as non-root (closes: #443728).
  * No longer search for apt-file.conf in the current directory. Instead,
    allow to choose the config file with the APT_FILE_CONFIG environment
    variable. 
  * Update bash completion (closes: #502655).
  * Add some tests and run them during build.

 -- Stefan Fritsch <sf@debian.org>  Wed, 12 Nov 2008 17:04:10 +0100

=== debian/control ===
Source: apt-file
Section: admin
Priority: optional
Maintainer: Stefan Fritsch <sf@debian.org>
Uploaders: Thijs Kinkhorst <thijs@debian.org>
Build-Depends: debhelper (>= 5), docbook, docbook-utils, libconfig-file-perl, libapt-pkg-perl, liblist-moreutils-perl
Standards-Version: 3.8.0
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/apt-file/trunk/
Vcs-svn: svn://svn.debian.org/collab-maint/deb-maint/apt-file/trunk/

Package: apt-file
Architecture: all
Depends: ${perl:Depends}, curl, libconfig-file-perl, libapt-pkg-perl, liblist-moreutils-perl
Recommends: menu
Suggests: openssh-client, sudo
Description: search for files within Debian packages (command-line interface)
 apt-file is a command line tool for searching files contained in packages
 for the APT packaging system. You can search in which package a file is
 included or list the contents of a package without installing or fetching it.

=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 	# Add here commands to compile the package.
 	$(MAKE)
-#	$(MAKE) test
+	$(MAKE) test
 	#/usr/bin/docbook-to-man debian/apt-file.sgml > apt-file.1
 	touch build-stamp

## apt-file 2.2.2

=== debian/changelog ===
apt-file (2.2.2) unstable; urgency=low

  * diffindex-download improvements for the case when diff/Index is not available
    (LP: #316155):
    - make error message less noisy
    - don't calculate the sha1sum of the old file, it's futile anyway
    - don't redownload the full file if it has not changed

 -- Stefan Fritsch <sf@debian.org>  Mon, 16 Feb 2009 22:46:33 +0100

apt-file (2.2.1) unstable; urgency=low

  * Fix ftp download (closes: #511672).

 -- Stefan Fritsch <sf@debian.org>  Tue, 13 Jan 2009 21:04:33 +0100

## apt-file 2.3.3

=== debian/changelog ===
apt-file (2.3.3) unstable; urgency=low

  * Fix search for unanchored regex with leading slash (bug introduced in
    2.3.1, closes: #563688).

 -- Stefan Fritsch <sf@debian.org>  Fri, 08 Jan 2010 20:00:36 +0100

apt-file (2.3.2) unstable; urgency=low

  * Downgrade 'Recommends: menu' to 'Suggests: menu' (closes: #543353).
  * Update postinst message to mention the possibility to run 'apt-file
    update' as non-root (closes: #540905).
  * Mention in the man page that apt-file will display results from all
    components (e.g. non-free), even if those components are not listed in
    the sources.list file (closes: #552986).
  * Make the update-notifier hook also look into the user's cache before
    asking to update (closes: #534191).
  * When creating a cache in the user's home dir, print a message how to
    switch back to the system wide cache directory (closes: #541327).

 -- Stefan Fritsch <sf@debian.org>  Sun, 13 Dec 2009 12:48:19 +0100

apt-file (2.3.1) unstable; urgency=low

  [ Thijs Kinkhorst ]
  * Note in manpage that directories are not found (closes: #557181).

  [ Stefan Fritsch ]
  * Rework anchoring logic for package and regexp searches (closes: #557719).
  * Bump Standards-Version (no changes).

 -- Stefan Fritsch <sf@debian.org>  Sun, 29 Nov 2009 14:00:44 +0100

apt-file (2.3.0) unstable; urgency=low

  * Add initial version of rapt-file, which does not rely on the downloaded
    file lists, but queries dde.debian.net for every search. It does not offer
    all features of apt-file (closes: #518764).
  * Add Enrico to Uploaders.
  * Fix perl warning when $HOME is not set (closes: #527303)
  * Make diffindex-download check if stdout is a terminal instead of stdin,
    to determine if it should be quiet. This fixes 'apt-file -N' disabling
    the download progress report (closes: #526393)
  * Bump Standards-Version:
    - add support for DEB_BUILD_OPTIONS=nocheck

 -- Stefan Fritsch <sf@debian.org>  Mon, 03 Aug 2009 21:38:45 +0200

=== debian/control ===
Source: apt-file
Section: admin
Priority: optional
Maintainer: Stefan Fritsch <sf@debian.org>
Uploaders: Thijs Kinkhorst <thijs@debian.org>, Enrico Zini <enrico@debian.org>
Build-Depends: debhelper (>= 5), docbook, docbook-utils, libconfig-file-perl, libapt-pkg-perl, liblist-moreutils-perl
Standards-Version: 3.8.3
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/apt-file/trunk/
Vcs-svn: svn://svn.debian.org/collab-maint/deb-maint/apt-file/trunk/

Package: apt-file
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends},
 curl, libconfig-file-perl, libapt-pkg-perl, liblist-moreutils-perl
Recommends: python
Suggests: openssh-client, sudo, menu
Description: search for files within Debian packages (command-line interface)
 apt-file is a command line tool for searching files contained in packages
 for the APT packaging system. You can search in which package a file is
 included or list the contents of a package without installing or fetching it.

## apt-file 2.4.0

=== Makefile ===
--- 
+++ 
@@ -18,8 +18,12 @@
 install:
 	$(INSTALL) -d -m 755 $(MANDIR)
 	$(INSTALL) -m 644 apt-file.1 $(MANDIR)
+	$(INSTALL) -m 644 diffindex-download.1 $(MANDIR)
+	$(INSTALL) -m 644 diffindex-rred.1 $(MANDIR)
 	$(INSTALL) -d -m 755 $(BINDIR)
 	$(INSTALL) -m 755 apt-file $(BINDIR)
+	$(INSTALL) -m 755 diffindex-download $(BINDIR)
+	$(INSTALL) -m 755 diffindex-rred $(BINDIR)
 	$(INSTALL) -d -m 755 $(ETCDIR)
 	$(INSTALL) -m 644 apt-file.conf $(ETCDIR)
 	$(INSTALL) -d -m 755 $(COMPDIR)
@@ -32,10 +36,15 @@
 
 man:
 	$(DOCBOOK2MAN) apt-file.1.sgml
+	$(DOCBOOK2MAN) diffindex-download.1.sgml
+	$(DOCBOOK2MAN) diffindex-rred.1.sgml
 	$(DOCBOOK2MAN) apt-file.fr.1.sgml
 
 test:
-	cd tests; ./runtests
+	make -C tests-apt-file test
+	make -C tests-diffindex test
 
 clean:
-	rm -f *~ manpage.* apt-file.1 apt-file.fr.1
+	rm -f *~ manpage.* apt-file.1 apt-file.fr.1 diffindex-download.1 diffindex-rred.1
+	make -C tests-apt-file clean
+	make -C tests-diffindex clean

=== debian/changelog ===
apt-file (2.4.0) unstable; urgency=low

  * Add -f option to read many patterns from a file or from stdin.
  * Add -D option to search for file conflicts with a given .deb
    file. Closes: #514985
  * Add https support to default apt-file.conf. Closes: #582254. LP: #331091
  * Add options to diffindex-download to set CA certificates and to
    disable certificate verification.
  * Don't use su-to-root in update-notifier anymore and drop Suggests: menu.
    LP: #508089
  * Abort 'apt-file update' if the user pressed Control-C. LP: #499039
  * Don't append an OS error string to an error or warning message if the
    message has nothing to do with the last OS operation.
  * Convert to source format 3.0 (native).

 -- Stefan Fritsch <sf@debian.org>  Wed, 26 May 2010 22:58:20 +0200

apt-file (2.3.4) unstable; urgency=low

  * Fix diffindex-download not allowing IPv6 literall addresses in URLs.
    Closes: #581191
  * Fix bashism in cdrom section of apt-file.conf. Closes: #579050
  * Bump Standards-Version (no changes).

 -- Stefan Fritsch <sf@debian.org>  Wed, 12 May 2010 00:06:38 +0200

=== debian/control ===
Source: apt-file
Section: admin
Priority: optional
Maintainer: Stefan Fritsch <sf@debian.org>
Uploaders: Thijs Kinkhorst <thijs@debian.org>, Enrico Zini <enrico@debian.org>
Build-Depends: debhelper (>= 5), docbook, docbook-utils, libconfig-file-perl, libapt-pkg-perl, liblist-moreutils-perl, libregexp-assemble-perl, libfile-temp-perl
Standards-Version: 3.8.4
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/apt-file/trunk/
Vcs-svn: svn://svn.debian.org/collab-maint/deb-maint/apt-file/trunk/

Package: apt-file
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends},
 curl, libconfig-file-perl, libapt-pkg-perl, liblist-moreutils-perl,
 libregexp-assemble-perl, libfile-temp-perl
Recommends: python
Suggests: openssh-client, sudo
Description: search for files within Debian packages (command-line interface)
 apt-file is a command line tool for searching files contained in packages
 for the APT packaging system. You can search in which package a file is
 included or list the contents of a package without installing or fetching it.

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,13 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+ifneq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
+	TEST_TARGET =
+else
+	TEST_TARGET = test
+endif
+
 
 VERSION=$(shell dpkg-parsechangelog |egrep ^Version: | cut -d ' ' -f 2)
 
@@ -18,8 +25,7 @@
 	dh_testdir
 
 	# Add here commands to compile the package.
-	$(MAKE)
-	$(MAKE) test
+	$(MAKE) all $(TEST_TARGET)
 	#/usr/bin/docbook-to-man debian/apt-file.sgml > apt-file.1
 	touch build-stamp
 
@@ -43,6 +49,8 @@
 	install -m 644 debian/apt-file.update-notifier    debian/apt-file/usr/share/apt-file/apt-file-update.update-notifier
 	install -m 755 debian/apt-file.do-apt-file-update debian/apt-file/usr/share/apt-file/do-apt-file-update
 	install -m 755 debian/apt-file.is-cache-empty     debian/apt-file/usr/share/apt-file/is-cache-empty
+	install -m 755 rapt-file			  debian/apt-file/usr/share/apt-file/rapt-file
+	install -m 755 rapt-file.wrapper		  debian/apt-file/usr/bin/rapt-file
 
 
 # Build architecture-independent files here.

## apt-file 2.5.0

=== debian/changelog ===
apt-file (2.5.0) unstable; urgency=low

  [ Paul Wise ]
  * rapt-file: Drop python-apt wrapper shell script, detect the lack of a
    python apt module in the rapt-file python code (Closes: #619414).
  * mention rapt-file in the package description (Closes: #623632)

  [ Thijs Kinkhorst ]
  * apt-file: Include compontent in Contents file search paths so we
    use ftp-master's new Contents files locations. This may break
    compatibility with older suites that do not have this configuration
    (Closes: #624734).
  * rapt-file: Ignore files not ending in .list in sources.list.d
    (Closes: #607861).
  * rapt-file: Recommend dpkg-dev because we use dpkg-architecture
    (Closes: #613006).
  * Correct scp invocation in apt-file.conf (Closes: #624290).
  * Small packaging cleanups. 

 -- Thijs Kinkhorst <thijs@debian.org>  Sun, 24 Jul 2011 16:01:09 +0000

apt-file (2.4.2) unstable; urgency=low

  * Correct empty cache detection logic. Closes: #612347

 -- Stefan Fritsch <sf@debian.org>  Tue, 08 Feb 2011 00:15:17 +0100

apt-file (2.4.1) unstable; urgency=low

  * Recommend python-apt for rapt-file. Closes: #609571
  * If both the per-user cache and the system cache contain data, use the
    newer one. Closes: #609810
  * Bump standards-version (no changes)

 -- Stefan Fritsch <sf@debian.org>  Sun, 06 Feb 2011 22:45:17 +0100

## apt-file 2.5.0ubuntu1

=== debian/changelog ===
apt-file (2.5.0ubuntu1) oneiric; urgency=low

  * Fix location of Contents files for Ubuntu. (LP: #817622)

 -- Jean-Louis Dupond <jean-louis@dupond.be>  Sat, 06 Aug 2011 00:16:02 +0200

=== debian/control ===
Source: apt-file
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Stefan Fritsch <sf@debian.org>
Uploaders: Thijs Kinkhorst <thijs@debian.org>, Enrico Zini <enrico@debian.org>
Build-Depends: debhelper (>= 8), docbook, docbook-utils, libconfig-file-perl, libapt-pkg-perl, liblist-moreutils-perl, libregexp-assemble-perl, libfile-temp-perl
Standards-Version: 3.9.2
Vcs-Browser: http://svn.debian.org/wsvn/collab-maint/deb-maint/apt-file/trunk/
Vcs-svn: svn://svn.debian.org/collab-maint/deb-maint/apt-file/trunk/

Package: apt-file
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends},
 curl, libconfig-file-perl, libapt-pkg-perl, liblist-moreutils-perl,
 libregexp-assemble-perl, libfile-temp-perl
Recommends: python-apt, dpkg-dev
Suggests: openssh-client, sudo
Description: search for files within Debian packages (command-line interface)
 apt-file is a command line tool for searching files contained in packages
 for the APT packaging system. You can search in which package a file is
 included or list the contents of a package without installing or fetching it.
 If you would prefer not to download the large files used by apt-file you can
 run rapt-file, which calls a remote server to do the searches.
